Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.swing
Class SwingBuilder

A helper class for creating Swing widgets using GroovyMarkup

author:
  James Strachan

version:
  $Revision: 9207 $

Field Summary
`Logger` | `LOG`
`LinkedList` | `containingWindows`
`boolean` | `headless`

Constructor Summary
`SwingBuilder()`

Method Summary
`static SwingBuilder` | `build(Closure c)`
`static def` | `buttonGroupAttributeDelegate(def builder, def node, def attributes)`
`static def` | `constraintsAttributeDelegate(def builder, def node, def attributes)`
`SwingBuilder` | `doLater(Closure c)`
`SwingBuilder` | `doOutside(Closure c)`
`SwingBuilder` | `edt(Closure c)`
`LookAndFeel` | `lookAndFeel(Object lookAndFeel, Closure initCode)`
`LookAndFeel` | `lookAndFeel(Map attributes, Object lookAndFeel, Closure initCode)`
`static def` | `objectIDAttributeDelegate(def builder, def node, def attributes)`
`void` | `registerBeanFactory(String nodeName, Class klass)` Do some overrides for standard component handlers, else use super
`void` | `registerWidgets()`
`KeyStroke` | `shortcut(def key, def modifier)`
`KeyStroke` | `shortcut(String key, def modifier)`

Constructor Detail

### SwingBuilder

    public SwingBuilder()

Method Detail

### build

    public static SwingBuilder build(Closure c)

### buttonGroupAttributeDelegate

    public static def buttonGroupAttributeDelegate(def builder, def node, def attributes)

### constraintsAttributeDelegate

    public static def constraintsAttributeDelegate(def builder, def node, def attributes)

### doLater

    public SwingBuilder doLater(Closure c)

### doOutside

    public SwingBuilder doOutside(Closure c)

### edt

    public SwingBuilder edt(Closure c)

### lookAndFeel

    public LookAndFeel lookAndFeel(Object lookAndFeel, Closure initCode)

### lookAndFeel

    public LookAndFeel lookAndFeel(Map attributes, Object lookAndFeel, Closure initCode)

### objectIDAttributeDelegate

    public static def objectIDAttributeDelegate(def builder, def node, def attributes)

### registerBeanFactory

    public void registerBeanFactory(String nodeName, Class klass)

  Do some overrides for standard component handlers, else use super

### registerWidgets

    void registerWidgets()

### shortcut

    public KeyStroke shortcut(def key, def modifier)

### shortcut

    public KeyStroke shortcut(String key, def modifier)